Overview | Package | Class | Tree | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.sun.mdm.index.idgen.impl
Class DefaultEuidGenerator

    java.lang.Object
      com.sun.mdm.index.idgen.impl.DefaultEuidGenerator

All Implemented Interfaces:
  EuidGenerator

public class DefaultEuidGenerator
extends java.lang.Object
implements EuidGenerator

Default EUID generator.

Constructor Summary
`DefaultEuidGenerator()` Default constructor for DefaultEuidGenerator

Method Summary
`int` | `getEUIDLength()` Get the EUID length
`java.lang.String` | `getNextEUID(java.sql.Connection con)` Generate the next EUID
`static void` | `setinsideContainer()`
`static void` | `setinsideLoader()`
`void` | `setParameter(java.lang.String parameterName, java.lang.Object value)` Parameters of the euid generator represented in the configuration XML file are set using this method.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### DefaultEuidGenerator

    public DefaultEuidGenerator()
                         throws SEQException

  Default constructor for DefaultEuidGenerator

  Throws:
    `SEQException` - An exception occurred

Method Detail

### getEUIDLength

    public int getEUIDLength()

  Get the EUID length

  Specified by:
    `getEUIDLength` in interface `EuidGenerator`
  Returns:
    euid length

### getNextEUID

    public java.lang.String getNextEUID(java.sql.Connection con)
                                 throws SEQException

  Generate the next EUID

  Specified by:
    `getNextEUID` in interface `EuidGenerator`
  Returns:
    next EUID
  Throws:
    `SEQException` - an error occurred

### setinsideContainer

    public static void setinsideContainer()

### setinsideLoader

    public static void setinsideLoader()

### setParameter

    public void setParameter(java.lang.String parameterName,
                             java.lang.Object value)
                      throws SEQException

  Parameters of the euid generator represented in the configuration XML file are set using this method.

  Specified by:
    `setParameter` in interface `EuidGenerator`
  Parameters:
    `parameterName` - parameter
    `value` - parameter value
  Throws:
    `SEQException` - An error occurred

Overview | Package | Class | Tree | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Sun Microsystems, Inc.